# Inkcut

[![Build Status](https://travis-ci.org/codelv/inkcut.svg?branch=master)](https://travis-ci.org/codelv/inkcut)  [![Downloads](https://pepy.tech/badge/inkcut)](https://pepy.tech/project/inkcut)

An application for controlling 2D plotters, cutters, engravers, and CNC machines. [Project homepage](https://www.codelv.com/projects/inkcut/)

![Inkcut - vinyl cutting and plotting](https://user-images.githubusercontent.com/380158/34273634-29e60a08-e663-11e7-9977-5125eae738f7.gif)

You can download the release versions from [here](https://github.com/codelv/inkcut/releases).

### Features

- Graphic manipulation (Rotation, scaling, mirroring)
- Copy generation and layout
- Weedlines
- Inkscape integration
- Device control panel
- Job history list
- Live plot status
- Pause, resume, and abort jobs mid way
- Python 2 and 3 support (Qt5 on python 3)

### Docs and tutorials

See the [project docs site](https://www.codelv.com/projects/inkcut/docs/):

* [Installing](https://www.codelv.com/projects/inkcut/docs/installing)
* [Tutorial](https://www.codelv.com/projects/inkcut/docs/tutorial)
* [Device Setup](https://www.codelv.com/projects/inkcut/docs/device-setup)
* [Supported Devices](https://www.codelv.com/projects/inkcut/docs/supported-devices)
* [Developer](https://www.codelv.com/projects/inkcut/docs/developer)

### Support

Get help by posting an [issue](https://github.com/codelv/inkcut/issues) or asking on the [forum](https://inkcut.org/).

If you use Inkcut and want to help continue the development open source cutting software
please consider [donating](https://www.codelv.com/projects/inkcut/support/).

### Thanks

Thank you to [all who have contributed](https://github.com/codelv/inkcut/graphs/contributors) to Inkcut and to [Inkscape](http://inkscape.org/) for making this possible!
